Skip to navigation

List credit memos

View as Markdown

Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information.

Retrieves the information about all credit memos.

For a use case of this operation, see Get credit memo.

Filtering

You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body.

If the value of a filterable field is string, you can set the corresponding query parameter to null when filtering. Then, you can get the response data with this field value being null.

Examples:

  • /v1/credit-memos?status=Posted

  • /v1/credit-memos?referredInvoiceId=null&status=Draft

  • /v1/credit-memos?status=Posted&type=External&sort=+number

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageintegerOptional>=1Defaults to 1

The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response.

pageSizeintegerOptional<=40Defaults to 20
The number of records returned per page in the response.
accountIdstringOptional

This parameter filters the response based on the accountId field.

accountNumberstringOptional

This parameter filters the response based on the accountNumber field.

amountdoubleOptional

This parameter filters the response based on the amount field.

appliedAmountdoubleOptional

This parameter filters the response based on the appliedAmount field.

autoApplyUponPostingbooleanOptional

This parameter filters the response based on the autoApplyUponPosting field.

createdByIdstringOptional

This parameter filters the response based on the createdById field.

createdDatestringOptional

This parameter filters the response based on the createdDate field.

creditMemoDatedateOptional

This parameter filters the response based on the creditMemoDate field.

currencystringOptional

This parameter filters the response based on the currency field.

excludeFromAutoApplyRulesbooleanOptional

This parameter filters the response based on the excludeFromAutoApplyRules field.

numberstringOptional

This parameter filters the response based on the number field.

referredInvoiceIdstringOptional

This parameter filters the response based on the referredInvoiceId field.

refundAmountdoubleOptional

This parameter filters the response based on the refundAmount field.

sourceIdstringOptional

This parameter filters the response based on the sourceId field.

statusenumOptional

This parameter filters the response based on the status field.

targetDatedateOptional

This parameter filters the response based on the targetDate field.

taxAmountdoubleOptional

This parameter filters the response based on the taxAmount field.

totalTaxExemptAmountdoubleOptional

This parameter filters the response based on the totalTaxExemptAmount field.

transferredToAccountingenumOptional

This parameter filters the response based on the transferredToAccounting field.

Allowed values:
unappliedAmountdoubleOptional

This parameter filters the response based on the unappliedAmount field.

updatedByIdstringOptional

This parameter filters the response based on the updatedById field.

updatedDatestringOptional

This parameter filters the response based on the updatedDate field.

sortstringOptional

This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on.

A sortable field uses the following form:

operator field_name

You can use at most two sortable fields in one URL path. Use a comma to separate sortable fields. For example: operator field_name, operator field_name

operator is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field.

  • The - operator indicates an ascending order.
  • The + operator indicates a descending order.

By default, the response data is displayed in descending order by credit memo number.

field_name indicates the name of a sortable field. The supported sortable fields of this operation are as below:

  • accountId

  • amount

  • appliedAmount

  • createdById

  • createdDate

  • creditMemoDate

  • number

  • referredInvoiceId

  • refundAmount

  • status

  • targetDate

  • taxAmount

  • totalTaxExemptAmount

  • transferredToAccounting

  • unappliedAmount

  • updatedDate

Examples:

  • /v1/credit-memos?sort=+number

  • /v1/credit-memos?status=Processed&sort=-number,+amount

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
creditmemoslist of objectsOptional
Container for credit memos.
nextPagestringOptionalformat: "URL"

URL to retrieve the next page of the response if it exists; otherwise absent.

successbooleanOptional

Returns true if the request was processed successfully.

Errors

4XX
Client Request Error
500
Internal Server Error